corda / net.corda.core.testing / PrivateKeyGenerator

# PrivateKeyGenerator

`class PrivateKeyGenerator : Generator<PrivateKey>`

### Constructors

<init> | `PrivateKeyGenerator()`

### Functions

generate | `fun generate(random: SourceOfRandomness, status: GenerationStatus): PrivateKey`

### Extension Functions

generateList | `fun <A> Generator<A>.generateList(random: SourceOfRandomness, status: GenerationStatus): List<A>` Generators for quickcheck